> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/i18n/localedetails

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/i18n/localedetails
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of field information for all supported locales on the Covata Platform.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of field information for all supported locales on the Covata Platform.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.1/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/3.1/admin.md)):

* [System administrator](/3.1/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.1/api/access-service-api-v1-i18n-localedetails.md#access-service-api-v1-i18n-localedetails-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **items** - .

  * **locale** - .

    * **localeCode** - .
    * **displayDescription** - .
  * **hasBuiltinBundle** - .
  * **hasCustomBundle** - .
  * **adminDefault** - .
* **offset** - .
* **count** - .

  **Example:**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.